## rust-speedate 0.17.0

=== Makefile ===
.DEFAULT_GOAL := all

.PHONY: install-rust-coverage
install-rust-coverage:
	cargo install rustfilt cargo-binutils
	rustup component add llvm-tools-preview

.PHONY: build-prod
build-prod:
	cargo build --release

.PHONY: format
format:
	cargo fmt

.PHONY: lint
lint:
	cargo fmt --version
	cargo fmt --all -- --check
	cargo clippy --version
	cargo clippy -- -D warnings -A incomplete_features
	cargo doc

.PHONY: test
test:
	RUSTFLAGS='-Z macro-backtrace' cargo test

.PHONY: bench
bench:
	cargo bench

.PHONY: testcov
testcov:
	RUSTFLAGS='-C instrument-coverage' cargo test --test main
	coverage-prepare --ignore-filename-regex '/tests/' lcov $(shell find target/debug/deps -regex '.*/main[^.]*')
	genhtml rust_coverage.lcov --output-directory htmlcov
	@echo "HTML coverage report available at htmlcov/index.html"

.PHONY: all
all: format lint test

## rust-speedate 0.13.0

=== debian/changelog ===
rust-speedate (0.13.0-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:17:35 +1100

rust-speedate (0.13.0-1) unstable; urgency=medium

  * Package speedate 0.13.0 from crates.io using debcargo 2.6.1

 -- Timo Röhling <roehling@debian.org>  Fri, 01 Mar 2024 16:58:41 +0100

=== debian/control ===
Source: rust-speedate
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-strum-0.25+default-dev <!nocheck>,
 librust-strum-0.25+derive-dev <!nocheck>,
 librust-strum-macros-0.25+default-dev <!nocheck>
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Timo Röhling <roehling@debian.org>
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/speedate]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/speedate
Homepage: https://github.com/pydantic/speedate/
X-Cargo-Crate: speedate
Rules-Requires-Root: no

Package: librust-speedate-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-strum-0.25+default-dev,
 librust-strum-0.25+derive-dev,
 librust-strum-macros-0.25+default-dev
Provides:
 librust-speedate+default-dev (= ${binary:Version}),
 librust-speedate-0-dev (= ${binary:Version}),
 librust-speedate-0+default-dev (= ${binary:Version}),
 librust-speedate-0.13-dev (= ${binary:Version}),
 librust-speedate-0.13+default-dev (= ${binary:Version}),
 librust-speedate-0.13.0-dev (= ${binary:Version}),
 librust-speedate-0.13.0+default-dev (= ${binary:Version})
Description: Fast and simple datetime, date, time and duration parsing - Rust source code
 Source code for Debianized Rust crate "speedate"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test speedate 0.13.0 --all-targets --all-features
Features: test-name=rust-speedate:@
Depends: dh-cargo (>= 18), librust-chrono-0.4+default-dev (>= 0.4.19-~~), librust-iso8601-0.4+default-dev (>= 0.4.1-~~), librust-paste-1+default-dev (>= 1.0.7-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test speedate 0.13.0 --all-targets
Features: test-name=librust-speedate-dev:default
Depends: dh-cargo (>= 18), librust-chrono-0.4+default-dev (>= 0.4.19-~~), librust-iso8601-0.4+default-dev (>= 0.4.1-~~), librust-paste-1+default-dev (>= 1.0.7-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test speedate 0.13.0 --all-targets --no-default-features
Features: test-name=librust-speedate-dev:
Depends: dh-cargo (>= 18), librust-chrono-0.4+default-dev (>= 0.4.19-~~), librust-iso8601-0.4+default-dev (>= 0.4.1-~~), librust-paste-1+default-dev (>= 1.0.7-~~), @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/speedate-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/speedate .*/crates/speedate/@ANY_VERSION@/download

## rust-speedate 0.14.4

=== debian/changelog ===
rust-speedate (0.14.4-1) unstable; urgency=medium

  * Team upload.
  * Package speedate 0.14.4 from crates.io using debcargo 2.6.1

 -- Colin Watson <cjwatson@debian.org>  Sun, 01 Sep 2024 19:15:10 +0100

rust-speedate (0.13.0-2) unstable; urgency=medium

  * Package speedate 0.13.0 from crates.io using debcargo 2.6.1

  [ Blair Noctis ]
  * Team upload.
  * Fix dep on strum 0.25 to 0.26

 -- Peter Michael Green <plugwash@debian.org>  Thu, 13 Jun 2024 09:53:02 +0000

=== debian/control ===
Source: rust-speedate
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-strum-0.26+default-dev <!nocheck>,
 librust-strum-0.26+derive-dev <!nocheck>,
 librust-strum-macros-0.26+default-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Timo Röhling <roehling@debian.org>
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/speedate]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/speedate
Homepage: https://github.com/pydantic/speedate/
X-Cargo-Crate: speedate
Rules-Requires-Root: no

Package: librust-speedate-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-strum-0.26+default-dev,
 librust-strum-0.26+derive-dev,
 librust-strum-macros-0.26+default-dev
Provides:
 librust-speedate+default-dev (= ${binary:Version}),
 librust-speedate-0-dev (= ${binary:Version}),
 librust-speedate-0+default-dev (= ${binary:Version}),
 librust-speedate-0.14-dev (= ${binary:Version}),
 librust-speedate-0.14+default-dev (= ${binary:Version}),
 librust-speedate-0.14.4-dev (= ${binary:Version}),
 librust-speedate-0.14.4+default-dev (= ${binary:Version})
Description: Fast and simple datetime, date, time and duration parsing - Rust source code
 Source code for Debianized Rust crate "speedate"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test speedate 0.14.4 --all-targets --all-features
Features: test-name=rust-speedate:@
Depends: dh-cargo (>= 18), librust-chrono-0.4+default-dev (>= 0.4.19-~~), librust-iso8601-0.6+default-dev (>= 0.6.1-~~), librust-paste-1+default-dev (>= 1.0.7-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test speedate 0.14.4 --all-targets
Features: test-name=librust-speedate-dev:default
Depends: dh-cargo (>= 18), librust-chrono-0.4+default-dev (>= 0.4.19-~~), librust-iso8601-0.6+default-dev (>= 0.6.1-~~), librust-paste-1+default-dev (>= 1.0.7-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test speedate 0.14.4 --all-targets --no-default-features
Features: test-name=librust-speedate-dev:
Depends: dh-cargo (>= 18), librust-chrono-0.4+default-dev (>= 0.4.19-~~), librust-iso8601-0.6+default-dev (>= 0.6.1-~~), librust-paste-1+default-dev (>= 1.0.7-~~), @
Restrictions: allow-stderr, skip-not-installable

## rust-speedate 0.15.0

=== debian/changelog ===
rust-speedate (0.15.0-1) unstable; urgency=medium

  * Team upload.
  * Package speedate 0.15.0 from crates.io using debcargo 2.7.4

 -- Colin Watson <cjwatson@debian.org>  Sun, 24 Nov 2024 16:17:56 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: rust-speedate
 Section: rust
 Priority: optional
-Build-Depends: debhelper (>= 12),
- dh-cargo (>= 25),
+Build-Depends: debhelper-compat (= 13),
+ dh-sequence-cargo,
  cargo:native <!nocheck>,
  rustc:native <!nocheck>,
  libstd-rust-dev <!nocheck>,
@@ -12,7 +12,7 @@
 Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
  Timo Röhling <roehling@debian.org>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/speedate]
 Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/speedate
 Homepage: https://github.com/pydantic/speedate/
@@ -31,9 +31,9 @@
  librust-speedate+default-dev (= ${binary:Version}),
  librust-speedate-0-dev (= ${binary:Version}),
  librust-speedate-0+default-dev (= ${binary:Version}),
- librust-speedate-0.14-dev (= ${binary:Version}),
- librust-speedate-0.14+default-dev (= ${binary:Version}),
- librust-speedate-0.14.4-dev (= ${binary:Version}),
- librust-speedate-0.14.4+default-dev (= ${binary:Version})
+ librust-speedate-0.15-dev (= ${binary:Version}),
+ librust-speedate-0.15+default-dev (= ${binary:Version}),
+ librust-speedate-0.15.0-dev (= ${binary:Version}),
+ librust-speedate-0.15.0+default-dev (= ${binary:Version})
 Description: Fast and simple datetime, date, time and duration parsing - Rust source code
  Source code for Debianized Rust crate "speedate"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test speedate 0.15.0 --all-targets --all-features
Features: test-name=rust-speedate:@
Depends: dh-cargo (>= 31), rustc, librust-chrono-0.4+default-dev (>= 0.4.19-~~), librust-iso8601-0.6+default-dev (>= 0.6.1-~~), librust-paste-1+default-dev (>= 1.0.7-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test speedate 0.15.0 --all-targets
Features: test-name=librust-speedate-dev:default
Depends: dh-cargo (>= 31), rustc, librust-chrono-0.4+default-dev (>= 0.4.19-~~), librust-iso8601-0.6+default-dev (>= 0.6.1-~~), librust-paste-1+default-dev (>= 1.0.7-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test speedate 0.15.0 --all-targets --no-default-features
Features: test-name=librust-speedate-dev:
Depends: dh-cargo (>= 31), rustc, librust-chrono-0.4+default-dev (>= 0.4.19-~~), librust-iso8601-0.6+default-dev (>= 0.6.1-~~), librust-paste-1+default-dev (>= 1.0.7-~~), @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/speedate-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/speedate .*/crates/speedate/@ANY_VERSION@/download

## rust-speedate 0.16.0

=== debian/changelog ===
rust-speedate (0.16.0-1) unstable; urgency=medium

  * Team upload.
  * Package speedate 0.16.0 from crates.io using debcargo 2.7.10
  * Use strum 0.26 for now.

 -- Colin Watson <cjwatson@debian.org>  Thu, 21 Aug 2025 14:37:30 +0100

=== debian/control ===
Source: rust-speedate
Section: rust
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo
Build-Depends-Arch: cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-lexical-parse-float-1+default-dev (>= 1.0.5-~~) <!nocheck>,
 librust-strum-0.26+default-dev <!nocheck>,
 librust-strum-0.26+derive-dev <!nocheck>,
 librust-strum-macros-0.26+default-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Timo Röhling <roehling@debian.org>
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/speedate]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/speedate
Homepage: https://github.com/pydantic/speedate/
X-Cargo-Crate: speedate
Rules-Requires-Root: no

Package: librust-speedate-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-lexical-parse-float-1+default-dev (>= 1.0.5-~~),
 librust-strum-0.26+default-dev,
 librust-strum-0.26+derive-dev,
 librust-strum-macros-0.26+default-dev
Provides:
 librust-speedate+default-dev (= ${binary:Version}),
 librust-speedate-0-dev (= ${binary:Version}),
 librust-speedate-0+default-dev (= ${binary:Version}),
 librust-speedate-0.16-dev (= ${binary:Version}),
 librust-speedate-0.16+default-dev (= ${binary:Version}),
 librust-speedate-0.16.0-dev (= ${binary:Version}),
 librust-speedate-0.16.0+default-dev (= ${binary:Version})
Description: Fast and simple datetime, date, time and duration parsing - Rust source code
 Source code for Debianized Rust crate "speedate"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test speedate 0.16.0 --all-targets --all-features
Features: test-name=rust-speedate:@
Depends: dh-cargo (>= 31), rustc, librust-chrono-0.4+default-dev (>= 0.4.19-~~), librust-iso8601-0.6+default-dev (>= 0.6.1-~~), librust-paste-1+default-dev (>= 1.0.7-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test speedate 0.16.0 --all-targets
Features: test-name=librust-speedate-dev:default
Depends: dh-cargo (>= 31), rustc, librust-chrono-0.4+default-dev (>= 0.4.19-~~), librust-iso8601-0.6+default-dev (>= 0.6.1-~~), librust-paste-1+default-dev (>= 1.0.7-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test speedate 0.16.0 --all-targets --no-default-features
Features: test-name=librust-speedate-dev:
Depends: dh-cargo (>= 31), rustc, librust-chrono-0.4+default-dev (>= 0.4.19-~~), librust-iso8601-0.6+default-dev (>= 0.6.1-~~), librust-paste-1+default-dev (>= 1.0.7-~~), @
Restrictions: allow-stderr, skip-not-installable

## rust-speedate 0.17.0

=== debian/changelog ===
rust-speedate (0.17.0-1) unstable; urgency=medium

  * Team upload.
  * Package speedate 0.17.0 from crates.io using debcargo 2.7.11

 -- Colin Watson <cjwatson@debian.org>  Fri, 17 Oct 2025 11:28:45 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,6 @@
 Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/speedate
 Homepage: https://github.com/pydantic/speedate/
 X-Cargo-Crate: speedate
-Rules-Requires-Root: no
 
 Package: librust-speedate-dev
 Architecture: any
@@ -33,9 +32,9 @@
  librust-speedate+default-dev (= ${binary:Version}),
  librust-speedate-0-dev (= ${binary:Version}),
  librust-speedate-0+default-dev (= ${binary:Version}),
- librust-speedate-0.16-dev (= ${binary:Version}),
- librust-speedate-0.16+default-dev (= ${binary:Version}),
- librust-speedate-0.16.0-dev (= ${binary:Version}),
- librust-speedate-0.16.0+default-dev (= ${binary:Version})
+ librust-speedate-0.17-dev (= ${binary:Version}),
+ librust-speedate-0.17+default-dev (= ${binary:Version}),
+ librust-speedate-0.17.0-dev (= ${binary:Version}),
+ librust-speedate-0.17.0+default-dev (= ${binary:Version})
 Description: Fast and simple datetime, date, time and duration parsing - Rust source code
  Source code for Debianized Rust crate "speedate"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test speedate 0.17.0 --all-targets --all-features
Features: test-name=rust-speedate:@
Depends: dh-cargo (>= 31), rustc, librust-chrono-0.4+default-dev (>= 0.4.19-~~), librust-iso8601-0.6+default-dev (>= 0.6.1-~~), librust-paste-1+default-dev (>= 1.0.7-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test speedate 0.17.0 --all-targets
Features: test-name=librust-speedate-dev:default
Depends: dh-cargo (>= 31), rustc, librust-chrono-0.4+default-dev (>= 0.4.19-~~), librust-iso8601-0.6+default-dev (>= 0.6.1-~~), librust-paste-1+default-dev (>= 1.0.7-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test speedate 0.17.0 --all-targets --no-default-features
Features: test-name=librust-speedate-dev:
Depends: dh-cargo (>= 31), rustc, librust-chrono-0.4+default-dev (>= 0.4.19-~~), librust-iso8601-0.6+default-dev (>= 0.6.1-~~), librust-paste-1+default-dev (>= 1.0.7-~~), @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
Version: 5

Source: https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/speedate
Matching-Pattern:  .*/crates/speedate/@ANY_VERSION@/download
Filenamemangle: s/.*\/(.*)\/download/speedate-$1\.tar\.gz/g
Uversionmangle: s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/
